<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTaxFiscalCorrectionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tax_fiscal_corrections', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('corporateincome_id')->nullable();
            $table->string('akun_desc')->nullable();
            $table->decimal('commercial_amount', 15, 2)->nullable();
            $table->decimal('positive_correction', 15, 2)->nullable();
            $table->decimal('negative_correction', 15, 2)->nullable();
            $table->decimal('fiscal_amount', 15, 2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tax_fiscal_corrections');
    }
}
